package com.lightinit.hsdatagateway.constant;

/**
 * 各类异常代号
 * @Author: yangrui
 * @Date: 2018/12/28 17:35
 */
public enum ExceptionEnum {
    //文件错误异常
    PERMISSION("1001"),
    //http转发异常
    HTTP_TRANSFER_ERROR("1002"),
    //不在有效时间内异常
    OVERTIME("1003"),
    //没有剩余量异常
    NORESTVALUE("1004"),
    //接口时间到期或者次数不足
    INTERFACE_REQUEST("1005"),
    //计费信息异常
    CHARGE_INFORMATION("1006"),
    //请求参数异常
    REQUEST_PARAM("1007")


    ;

    private final String code;



    ExceptionEnum(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }}
